RN camera 사용법 질문입니다

안녕하세요 RN 카메라 사용법에 질문이있습니다.

일단 이 사이트에서 참고하였습니다.
npm install --save react-native-camera@git+https://git@github.com/react-native-community/react-native-camera.git

과정

  1. 위 내용으로 설치하고,
  2. AndroidManifest.xml 파일에 권한추가하고,
  3. 다른작업없이 빌드만 시켰으나

위와 같은 에러만 밷는 상황입니다.

혹시 카메라를 사용하려면 다른작업을 해주어야하는게 있을까요?

에러문구 텍스트

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use ‘–warning-mode all’ to show the individual deprecation warnings.
See

FAILURE: Build failed with an exception.

  • What went wrong:
    Could not determine the dependencies of task ‘:app:mergeDebugAssets’.

Could not resolve all task dependencies for configuration ‘:app:debugRuntimeClasspath’.
Could not resolve project :react-native-camera.
Required by:
project :app
Cannot choose between the following variants of project :react-native-camera:
- generalDebugRuntimeElements
- mlkitDebugRuntimeElements
All of them match the consumer attributes:
- Variant ‘generalDebugRuntimeElements’ capability MMPIWMS:react-native-camera:unspecified:
- Unmatched attributes:
- Found com.android.build.api.attributes.VariantAttr ‘generalDebug’ but wasn’t required.
- Found react-native-camera ‘general’ but wasn’t required.
- Compatible attributes:
- Required com.android.build.api.attributes.BuildTypeAttr ‘debug’ and found compatible value ‘debug’.
- Required com.android.build.gradle.internal.dependency.AndroidTypeAttr ‘Aar’ and found compatible value
- Required org.gradle.usage ‘java-runtime’ and found compatible value ‘java-runtime’.
- Variant ‘mlkitDebugRuntimeElements’ capability MMPIWMS:react-native-camera:unspecified:
- Unmatched attributes:
- Found com.android.build.api.attributes.VariantAttr ‘mlkitDebug’ but wasn’t required.
- Found react-native-camera ‘mlkit’ but wasn’t required.
- Compatible attributes:
- Required com.android.build.api.attributes.BuildTypeAttr ‘debug’ and found compatible value ‘debug’.
- Required com.android.build.gradle.internal.dependency.AndroidTypeAttr ‘Aar’ and found compatible value
- Required org.gradle.usage ‘java-runtime’ and found compatible value ‘java-runtime’.

  • Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --s

  • Get more help at

BUILD FAILED in 5s

error Failed to install the app. Make sure you have the Android development environment set up:
Error: Command failed: gradlew.bat app:installDebug -PreactNativeDevServerPort=8081

Java 버전 맞는지 확인해보셨나요??